summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-03-12 12:33:04 -0500
committer Erik Hanson <erik@slackbuilds.org>2014-03-12 12:33:04 -0500
commit173e57986e8ca3967a80889663ea03d86b78a786 (patch)
treea3ace7c964aec09e02a1b0667d609d0d17ee7877
parentcd48a72e4aa1985764b4f3b96993fd5166071805 (diff)
downloadslackbuilds-173e57986e8ca3967a80889663ea03d86b78a786.tar.gz
slackbuilds-173e57986e8ca3967a80889663ea03d86b78a786.tar.xz
office/qpdf: Updated for version 5.1.1, new maintainer.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--office/qpdf/qpdf.SlackBuild17
-rw-r--r--office/qpdf/qpdf.info10
2 files changed, 15 insertions, 12 deletions
diff --git a/office/qpdf/qpdf.SlackBuild b/office/qpdf/qpdf.SlackBuild
index a1c25bb295..a0b994c7d6 100644
--- a/office/qpdf/qpdf.SlackBuild
+++ b/office/qpdf/qpdf.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for qpdf
# Copyright 2011-2012 Binh Nguyen <binhvng@gmail.com>
+# Copyright 2014 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=qpdf
-VERSION=${VERSION:-3.0.1}
+VERSION=${VERSION:-5.1.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -54,7 +55,7 @@ else
LIBDIRSUFFIX=""
fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -64,10 +65,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -80,15 +81,17 @@ CXXFLAGS="$SLKCFLAGS" \
--infodir=/usr/info \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--localedir=/usr/share/locale \
+ --disable-static \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a Artistic-2.0 ChangeLog INSTALL README* TODO $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/office/qpdf/qpdf.info b/office/qpdf/qpdf.info
index d716b0c027..d4283c9079 100644
--- a/office/qpdf/qpdf.info
+++ b/office/qpdf/qpdf.info
@@ -1,10 +1,10 @@
PRGNAM="qpdf"
-VERSION="3.0.1"
+VERSION="5.1.1"
HOMEPAGE="http://qpdf.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/qpdf/qpdf-3.0.1.tar.gz"
-MD5SUM="48767e2519029d0214cd0fcafa3a8f8c"
+DOWNLOAD="http://downloads.sourceforge.net/qpdf/qpdf-5.1.1.tar.gz"
+MD5SUM="378bfd1c2ee15d7815f2f4b1a50fa6e0"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Binh Nguyen"
-EMAIL="binhvng@gmail.com"
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"